test: Break on test script (or other) error

Break notmuch-test whenever a test script returns non-zero status.
This happens either when some test from the script fails or when there
is an error in the script.

This is especially useful in the latter case since the error may not
appear in the final aggregated results.
This commit is contained in:
Michal Sojka 2010-11-14 22:54:30 +01:00 committed by Carl Worth
parent c8d51e2912
commit f22a7ec1e2

View file

@ -14,12 +14,20 @@ if [ ${BASH_VERSINFO[0]} -lt 4 ]; then
exit 1
fi
set -e
die () {
echo >&2 "Unexpected failure"
}
trap 'die' 0
cd $(dirname "$0")
TESTS="basic new search json thread-naming raw reply dump-restore uuencode thread-order author-order from-guessing long-id encoding emacs maildir-sync"
# Clean up any results from a previous run
rm -r test-results >/dev/null 2>/dev/null
rm -rf test-results >/dev/null 2>/dev/null
# Run the tests
for test in $TESTS; do
@ -31,3 +39,5 @@ done
# Clean up
rm -r test-results corpus.mail
trap '' 0